summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <hans@degraaff.org>2022-05-15 10:26:21 +0200
committerHans de Graaff <hans@degraaff.org>2022-05-15 10:26:21 +0200
commit156128a4d671bcd737780261ef5a9411cd9926d0 (patch)
treeab4f70abf147258610b6155fc9b0865414f4d26b
parentdev-ruby/rubocop-rails: enable ruby30 (diff)
downloadgraaff-156128a4d671bcd737780261ef5a9411cd9926d0.tar.gz
graaff-156128a4d671bcd737780261ef5a9411cd9926d0.tar.bz2
graaff-156128a4d671bcd737780261ef5a9411cd9926d0.zip
dev-ruby/rspec-activemodel-mocks: enable ruby30 and disable ruby25
Signed-off-by: Hans de Graaff <hans@degraaff.org>
-rw-r--r--dev-ruby/rspec-activemodel-mocks/rspec-activemodel-mocks-1.1.0.ebuild6
1 files changed, 4 insertions, 2 deletions
diff --git a/dev-ruby/rspec-activemodel-mocks/rspec-activemodel-mocks-1.1.0.ebuild b/dev-ruby/rspec-activemodel-mocks/rspec-activemodel-mocks-1.1.0.ebuild
index 4372ae18..df4f0f9c 100644
--- a/dev-ruby/rspec-activemodel-mocks/rspec-activemodel-mocks-1.1.0.ebuild
+++ b/dev-ruby/rspec-activemodel-mocks/rspec-activemodel-mocks-1.1.0.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-USE_RUBY="ruby25 ruby26 ruby27"
+USE_RUBY="ruby26 ruby27 ruby30"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"
@@ -23,10 +23,12 @@ ruby_add_rdepend ">=dev-ruby/activesupport-3.0:*
>=dev-ruby/activemodel-3.0:*
>=dev-ruby/rspec-mocks-2.99:* <dev-ruby/rspec-mocks-4:*"
-ruby_add_bdepend "test? ( dev-ruby/activerecord )"
+ruby_add_bdepend "test? ( <dev-ruby/activerecord-7[sqlite] )"
all_ruby_prepare() {
# Avoid spec failing on 6.0+ for models with no primary key
# https://github.com/rspec/rspec-activemodel-mocks/pull/45
sed -i -e '/with an ActiveRecord model with no primary key/,/^ end/ s:^:#:' spec/rspec/active_model/mocks/stub_model_spec.rb || die
+
+ sed -i -e '1igem "activerecord", "<7"' spec/spec_helper.rb || die
}